Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTCP Class Reference

Encapsulate the header format for the Real Time Control Protocol (RTCP). More...

`#include <RTCP.h>`

List of all members.

## Static Public Methods
void | send_report (ACE_Message_Block *mb)
ACE_UINT32 | alloc_srcid (ACE_UINT32 addr)
double | rtcp_interval (int members, int senders, double rtcp_bw, int we_sent, int packet_size, int *avg_rtcp_size, int initial)

## Detailed Description

Encapsulate the header format for the Real Time Control Protocol (RTCP).

## Member Function Documentation

ACE_UINT32 TAO_AV_RTCP::alloc_srcid | ( | ACE_UINT32 | addr | ) | `[static]`

double TAO_AV_RTCP::rtcp_interval | ( | int | members,
|  | int | senders,
|  | double | rtcp_bw,
|  | int | we_sent,
|  | int | packet_size,
|  | int * | avg_rtcp_size,
|  | int | initial
| ) | `[static]`

void TAO_AV_RTCP::send_report | ( | ACE_Message_Block * | mb | ) | `[static]`

The documentation for this class was generated from the following files:

- RTCP.h
- RTCP.cpp